import express from "express";

const router = express.Router();
// import { isAuthenticatedUser, authorizeRoles } from "../../middlewares/auth.js";
import { EnterPatientDetails, EnterPersonalDetails, Otp, completeRegistration, create1RegistrationDetails, getAllPatient, register, verifyOtp } from "./PatientController.js";


router.post('/register', register);
router.post('/verify-otp', verifyOtp);
router.post('/rgstr_details-p1', create1RegistrationDetails);
router.post('/rgstr_details-p2', EnterPatientDetails);
router.post('/rgstr_psrnl_details-p3', EnterPersonalDetails);

router.get('/getAll', getAllPatient);

router.post('/complete-registration', completeRegistration);
router.get('/otp', Otp);


export default router;
